import { jsx } from "react/jsx-runtime";
import { TokenAIMX as TokenAIMX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenAIMX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "AIMX", "data-name": "TokenAIMX", ...props, children: /* @__PURE__ */ jsx(TokenAIMX$1, { variant }) });
  }
);
TokenAIMX.displayName = "TokenAIMX";
Object.assign(TokenAIMX, { isGdsIcon: true });
export {
  TokenAIMX
};
